/**
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)
*
*This library is free software; you can redistribute it and/or
*modify it under the terms of the GNU Lesser General Public
*License as published by the Free Software Foundation; either
*version 2 of the License, or (at your option) any later version.
*
*This library is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*Lesser General Public License for more details.
*
*You should have received a copy of the GNU Lesser General Public
*License along with this library; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
**/

#include <string>
#include <sstream>

#include <semaphore.h> 

#include <iostream>
#include <stdio.h>
#include <pthread.h>
#include <sys/poll.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include <errno.h>
#include <fcntl.h>
#include <signal.h>
#include <getopt.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/mman.h>
#include <sys/io.h>
#include <sys/poll.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>


#include <rtai_netrpc.h>
#include <rtai_msg.h>
#include <rtai_mbx.h>


static RT_TASK *RLG_Main_Task;

int main (void)
{
    rt_allow_nonroot_hrt(); 
    if (!(RLG_Main_Task = rt_task_init_schmod(nam2num("PIPPO"), 99, 0, 0, SCHED_FIFO, 0xFF))) {
        printf("Cannot init RTAI_LAB main task\n");
        exit(1);
    }
    std::cout<<"Begin...";
	getchar();
	rt_task_delete(RLG_Main_Task);
    std::cout<<"end.";
	return 0;
}



