/**
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)
*
*This library is free software; you can redistribute it and/or
*modify it under the terms of the GNU Lesser General Public
*License as published by the Free Software Foundation; either
*version 2 of the License, or (at your option) any later version.
*
*This library is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*Lesser General Public License for more details.
*
*You should have received a copy of the GNU Lesser General Public
*License along with this library; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
**/

#include "../socket/Socket.h"
#include "../socket/SocketException.h"
#include <iostream>
//serve per la sleep
#include <unistd.h>
#include <time.h>

int main(int argc, char* argv[])
{
 
  int port_socket=30000;
  std::string server="localhost";
  std::string data_from_server;
  Socket data_sock;
  time_t seconds_begin,seconds_act;
  seconds_begin = seconds_act = time (NULL);
  int status;
  data_sock.create();
  data_sock.toString();
/************* SOCKET     *****************************/
//  std::cout << "prima di connect\n";
  if(!data_sock.connect(server,port_socket))
	std::cout << "Errore nel connetersi al socket dei dati\n";
//  std::cout << "dopo connect\n";
//	sleep(10);
/*******************************************************/
  data_sock.toString();
//  std::cout << "prima di recv\n";
  for(;(difftime (seconds_act,seconds_begin))<atoi(argv[1]);seconds_act = time (NULL)) {
//  for(int i=0;i<atoi(argv[1]) && seconds_act-seconds_begin<atoi(argv[2]);i++,seconds_act = time (NULL)) {
	  status=data_sock.recv(data_from_server);
	  if(status==-1)
	  	std::cout << "errore in ricezione";
	  else if(status==0)
	  	std::cout << "Nessun dato ricevuto\n";
	  else
	  	std::cout << data_from_server;
  }
//  fflush(stdin);
//  fflush(stdout);
/*  std::cout << "dopo recv\n";
  data_sock.toString();
/********************************************************/


  return 0;
}
