/**
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)
*
*This library is free software; you can redistribute it and/or
*modify it under the terms of the GNU Lesser General Public
*License as published by the Free Software Foundation; either
*version 2 of the License, or (at your option) any later version.
*
*This library is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*Lesser General Public License for more details.
*
*You should have received a copy of the GNU Lesser General Public
*License along with this library; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
**/


#include <string>
#include <sstream>

#include <semaphore.h> 

#include <iostream>
#include <stdio.h>
#include <pthread.h>
#include <sys/poll.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include <errno.h>
#include <fcntl.h>
#include <signal.h>
#include <getopt.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/mman.h>
#include <sys/io.h>
#include <sys/poll.h>
#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>


#include <rtai_netrpc.h>
#include <rtai_msg.h>
#include <rtai_mbx.h>


static RT_TASK *RLG_Main_Task;
static long Target_Node;

int main (void)
{
    struct sockaddr_in addr;
    std::cout<<"Host: "<<std::string(gethostbyname("localhost")->h_addr_list[0])<<"\n";
    inet_aton("192.168.10.5", &addr.sin_addr);
    Target_Node=addr.sin_addr.s_addr;    
    rt_allow_nonroot_hrt(); 
    if (!(RLG_Main_Task = rt_task_init_schmod(nam2num("RL2"), 99, 0, 0, SCHED_FIFO, 0xFF))) {
        printf("Cannot init RTAI_LAB main task\n");
        exit(1);
    }
    int count=0;
//    int port=rt_request_port(Target_Node);
	std::cout<<"Node:"<<Target_Node<<"\n";
//	std::cout<<"Port:"<<port<<"\n";
	for (int i=0;i<50;i++) {
	    int port=rt_request_port(Target_Node);
		std::cout<<"Port:"<<port<<"\n";
//		if(rt_get_adr(nam2num("PIPPO"))) {
		if(RT_get_adr(Target_Node, port, "PIPPO")) {
			count++;
			std::cout<<"1";
		}
		else
			std::cout<<"0";
		rt_release_port(Target_Node,port);
	}

	std::cout<<"\nTarget found " << count << " times.\n";
/*	for (int i=16;i<32;i++)
		rt_release_port(Target_Node,i);*/
	
	rt_task_delete(RLG_Main_Task);
	return 0;
}



